game_level_hints.levels["Level08_01_S8"] = function()
	return 
    {
		miniscenes
		({
			level08_scene08_01 =
			{
				on_scene("level08_scene08_02", end_level("area_door")),
				on_scene("level08_miniscene_water_closet", end_level("exit01")),
				on_scene("level08_miniscene_bag", end_level("exit02")),
				on_scene("level08_miniscene_composer", end_level("exit03")),
				on_scene("level08_miniscene_slot_machine", end_level("exit04")),
				on_scene("level08_miniscene_storeroom", end_level("exit_mini06"))
			},
			level08_scene08_02 =
			{
				IF(state("Security01","security05_01"), on_scene("level08_scene08_01", end_level("Door01"))),
				IF(state("Security01","security05_02"), on_scene("level08_scene08_01", end_level("Door01"))),
				IF(state("Security01","security05_03"), on_scene("level08_scene08_01", end_level("Door01"))),
				IF(state("Security01","security08_01"), on_scene("level08_scene08_01", end_level("Door01"))),
				IF(state("Security01","security09_01"), on_scene("level08_scene08_01", end_level("Door01"))),
				on_scene("level08_miniscene_sofa", end_level("exit05")),
				on_scene("level08_miniscene_wardrobe", end_level("exit06")),
				on_scene("level08_miniscene_box", end_level("exit_mini03")),
				on_scene("level08_miniscene_casket", end_level("back_close_casket"))				
			},
			level08_miniscene_water_closet = 
			{
				IF({ state("Lamp01","lamp01_01"), state("Door02","door02_01") }, on_scene("level08_scene08_01", end_level("Door02")))
			},
			level08_miniscene_bag = 
			{
				on_scene("level08_scene08_01", miniscene("Bag"))
			},
			level08_miniscene_composer = 
			{
				on_scene("level08_scene08_01", miniscene("composer_hint")),
				on_scene("level08_scene08_01", miniscene("composer_01"))
			},
			level08_miniscene_slot_machine = 
			{
				on_scene("level08_scene08_01", miniscene("slot_machine_01"))
			},
			level08_miniscene_storeroom = 
			{
				IF(state("Door03","door03_01"), on_scene("level08_scene08_01", click("Door03", "Card01"))),
				IF(state("Door03","door03_02"), on_scene("level08_scene08_01", end_level("Door03")))
			},
			level08_miniscene_sofa = 
			{
				IF(NOT(hidden("Casket02")), on_scene("level08_scene08_02", miniscene("sofa_hint"))),
				IF(NOT(hidden("Casket02")), on_scene("level08_scene08_02", miniscene("sofa01")))
			},
			level08_miniscene_wardrobe = 
			{
				IF(NOT(hidden("Casket02")), on_scene("level08_scene08_02", click("Door_right_02", "Key01"))),
				IF({ NOT(hidden("Casket02")), NOT(state("Door_right_02","door_right_02_01")) }, on_scene("level08_scene08_02", miniscene("Door_right_02"))),
				IF({ NOT(hidden("Casket02")), NOT(state("Door_right_02","door_right_02_01")) }, on_scene("level08_scene08_02", miniscene("Door_left_02"))),
				IF({ NOT(hidden("Casket02")), NOT(state("Door_right_02","door_right_02_01")) }, on_scene("level08_scene08_02", miniscene("area_wardrobe")))
			},
			level08_miniscene_box = 
			{
				IF({ state("Mini02_box_07","mini02_box07_02"), state("Mini02_box_08","mini02_box08_02") }, on_scene("level08_miniscene_wardrobe", miniscene("Mini02_box_11")))
			},
			level08_miniscene_casket = 
			{
				IF({ NOT(in_inv("Mini05_gems")), state("Casket02_cover","casket02_cover_02") }, on_scene("level08_scene08_02", miniscene("Casket02")))
			}
		}),
		
		on_scene("level08_miniscene_water_closet",
		{
			IF({ on_level("Somnum"), state("Door_left_01","left_01") }, click("Door_left_01")),
			take("Somnum"),
			IF(state("Cap", "cap_01"), click("Cap", "Somnum")),
			IF({ on_level("Syringe_01"), state("Door_left_01","left_01") }, click("Door_left_01")),
			take("Syringe_01"),
			IF(state("Cap", "cap_02"), click("Cap", "Syringe_01"))
		}),
		on_scene("level08_miniscene_bag",
		{
			IF({ on_level("Pincers"), hidden("Pincers"), hidden("Manicur_set_02") }, click("manicure_set01")),
			take("Pincers")
		}),
		on_scene("level08_miniscene_composer",
		{
			click("Money", "Pincers")
		}),
		on_scene("level08_miniscene_slot_machine",
		{
			click("area_for_money", "Money"),
			IF(state("Bottle", "bottle01_01"), click("bottle_hint")),
			IF(state("Bottle", "bottle01_01"), take("Bottle"))
		}),
		on_scene("level08_scene08_01",
		{
			IF(state("Security01","security02_01"), take("Pepper")),
			IF(state("Burger01", "burger01_01"), click("Burger01", "Pepper")),
			IF(state("Security01", "security03_01"), click("security_hint", "Bottle_with_somnum")),
			IF(state("Security01", "security03_01"), click("Security01", "Bottle_with_somnum"))
		}),
		on_scene("level08_scene08_02",
		{
			click("Alisiya01", "Casket01"),
			take("Clothes01")
		}),
		on_scene("level08_miniscene_slot_machine",
		{
			take("Pliers")
		}),
		on_scene("level08_scene08_01",
		{
			IF(state("Security01", "security05_01"), click("security_hint")),
			IF(state("Security01", "security05_01"), click("Security01")),
			take("Smoke_bomb_01"),
			IF(state("Lamp01", "lamp01_02"),click("Door02", "Smoke_bomb_01"))
		}),
		on_scene("level08_scene08_02",
		{
			IF(NOT(hidden("Smoke_bomb_02")), click("cigarette_hint")),
			IF(NOT(hidden("Smoke_bomb_02")), take("Cigarette"))
		}),
		on_scene("level08_scene08_01",
		{
			click("Smoke_bomb_02", "Cigarette")
		}),
		on_scene("level08_miniscene_water_closet",
		{
			click("Key01", "Hook01")
		}),
		on_scene("level08_scene08_02",
		{
			IF(NOT(hidden("Casket02")), click("Door_right_02", "Key01"))
		}),
		on_scene("level08_miniscene_wardrobe",
		{
			IF(state("Mini02_box_04","mini02_box04_01"), click("Mini02_box_04")),
			IF(state("Mini02_box_06","mini02_box06_01"), click("Mini02_box_06")),
			IF(state("Mini02_box_03","mini02_box03_01"), click("Mini02_box_03")),
			IF(state("Mini02_box_05","mini02_box05_01"), click("Mini02_box_05")),
			IF(state("Mini02_box_09","mini02_box09_01"), click("Mini02_box_09")),
			IF(state("Mini02_box_14","mini02_box14_01"), click("Mini02_box_14")),
			IF(state("Mini02_box_07","mini02_box07_01"), click("Mini02_box_07")),
			IF(state("Mini02_box_10","mini02_box10_01"), click("Mini02_box_10")),
			IF(state("Mini02_box_08","mini02_box08_01"), click("Mini02_box_08"))
		}),
		on_scene("level08_miniscene_box",
		{
			IF(state("Flag_photo", "flag_photo01"), click("Mini03_photo"))
		}),
		on_scene("level08_scene08_02",
		{
			take("Mirror")
		}),
		on_scene("level08_miniscene_box",
		{
			click("Mini03_photo", "Mirror")
		}),
		on_scene("level08_miniscene_wardrobe",
		{
			take("Card_01")
		}),
		on_scene("level08_scene08_01",
		{
			click("Door03", "Card_01")
		}),
		on_scene("level08_miniscene_storeroom",
		{
			IF({ state("Mini05_cover01","mini05_cover01_01"), on_level("Mini05_stencil01") }, click("Mini05_cover01")),
			IF(state("Mini05_cover01","mini05_cover01_02"), take("Mini05_stencil01"))
		}),
		on_scene("level08_scene08_01",
		{
			IF({ NOT(state("Security01","security01_01")), NOT(state("Security01","security02_01")), NOT(state("Security01","security03_01")) }, take("Gitar01")),
			click("Glass01", "Gitar01"),
			IF(state("Glass01", "glass_02"), take("Hook02")),
			click("Rope01", "Hook02"),
			IF(state("Security01","security06_01"), click("Hook03")),
			IF(state("Security01","security07_01"), click("Winch01")),
			IF({ state("Security01","security09_01"), in_inv("Mini05_stencil01"), state("Flag_go_door", "flag_go_door01") }, end_level("Door01"))
		}),
		on_scene("level08_miniscene_box",
		{
			click("mini03_mirror", "Mini05_stencil01"),
			click("Mini03_photo", "Mini05_stencil01")
		}),
		on_scene("level08_scene08_02",
		{
			take("Scissors01")
		}),
		on_scene("level08_miniscene_sofa",
		{
			IF(NOT(hidden("mini_box02_02")), click("mini_box02_02", "Scissors01")),
			IF(hidden("mini_box02_02"), take("Dictophone01"))
		}),
		on_scene("level08_scene08_01",
		{
			IF({ hidden("Dictophone02"), in_inv("Dictophone01") }, minigame("composer_hint")),
			IF(NOT(hidden("Dictophone02")), minigame("composer_hint"))			
		}),
		on_scene("level08_miniscene_casket",
		{
			take("Sun")
		}),
		on_scene("level08_miniscene_storeroom",
		{
			click("Mini05_hatblock01", "Sun"),
			take("Mini05_gems")
		}),
		on_scene("level08_scene08_02",
		{
			click("Casket02", "Mini05_gems"),
			IF({ state("Casket02","casket02_01"), hidden("red_crystal01") }, click("Casket02"))
		})
	}
end 